CLASS PTREE_ERROR(3)

NAME
boost::property_tree::ptree_error - Base class for all property tree errors. Derives from std::runtime_error. Call member function what to get human readable message associated with the error.

SYNOPSIS

// In header: <boost/property_tree/exceptions.hpp>
class ptree_error {
public:
  // construct/copy/destruct
  ptree_error(const std::string &);
  ~ptree_error();
};

DESCRIPTION

  ptree_error public construct/copy/destruct

    1.

    ptree_error(const std::string & what);

    Instantiate a ptree_error instance with the given message.

    Parameters:

        what
            The message to associate with this error.

    2.

    ~ptree_error();